/**
 * 
 */
package org.processmining.plugins.plg.models;

import org.processmining.framework.util.Pair;

/**
 * Custom class to model a pair of objects
 * 
 * @author Andrea Burattin
 */
public class PLGPair<F, S> extends Pair<F, S> {

	private String name;
	
	
	/**
	 * Basic class constructor
	 * 
	 * @param name the name of the pair
	 * @param first the first element of the pair
	 * @param second the second element of the pair
	 */
	public PLGPair(String name, F first, S second) {
		super(first, second);
		this.name = name;
	}
	
	
	@Override
	public String toString() {
		return name;
	}
}
